Home

# Class goog.tweak.BasePrimitiveSetting

Base class for all settings that wrap primitive values.

extends goog.tweak.BaseSetting

Instance Method Summary
| `encodeNewValue() ⇒ string` Returns the query param encoded representation of the setting's value.
| `getDefaultValue() ⇒ <Any Type>` Returns the default value for this setting.
| `getNewValue() ⇒ <Any Type>` Returns the value of the setting to use once "Apply Tweaks" is clicked.
| `getNewValueEncoded() ⇒ ?string` Returns the value to be used in the query parameter for this tweak.
| `getValue() ⇒ <Any Type>` If the setting has the restartRequired option, then returns its inital value. Otherwise, returns its current value.
| `setDefaultValue(<Any Type> value)` Sets the default value for the tweak.
| `setValue(<Any Type> value)` Sets the value of the setting. If the setting has the restartRequired option, then the value will not be changed until the "Apply Tweaks" button is clicked. If it does not have the option, the value will be update immediately and all registered callbacks will be called.